Package net.shibboleth.idp.plugin.authn.webauthn

# Class WebAuthnPlugin

java.lang.Object
net.shibboleth.profile.plugin.AbstractPlugin<T>
net.shibboleth.profile.plugin.PropertyDrivenPlugin<IdPModule>
net.shibboleth.idp.plugin.PropertyDrivenIdPPlugin
net.shibboleth.idp.plugin.impl.FirstPartyIdPPlugin
net.shibboleth.idp.plugin.authn.webauthn.WebAuthnPlugin

All Implemented Interfaces:
  `IdPPlugin`, `Plugin<IdPModule>`

public class WebAuthnPlugin extends FirstPartyIdPPlugin
Plugin description about the WebAuthn plugin.

## Field Summary

### Fields inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`DEFAULT_RESOURCE, PLUGIN_ID_PROPERTY, PLUGIN_LICENSE_PROPERTY, PLUGIN_REQ_MODULES_PROPERTY, PLUGIN_URL_PROPERTY, PLUGIN_VERSION_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnPlugin()`
Constructor.
`WebAuthnPlugin(Class<? extends IdPPlugin> claz)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.idp.plugin.impl.FirstPartyIdPPlugin

`getDefaultUpdateURLs`

### Methods inherited from class net.shibboleth.profile.plugin.PropertyDrivenPlugin

`getLicenseFileLocation, getMajorVersion, getMinorVersion, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs, load`

### Methods inherited from class net.shibboleth.profile.plugin.AbstractPlugin

`equals, getDisableOnRemoval, getEnableOnInstall, hashCode, setDisableOnRemoval, setEnableOnInstall, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.profile.plugin.Plugin

`getDisableOnRemoval, getEnableOnInstall, getLicenseFileLocation, getMajorVersion, getMinorVersion, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs`

## Constructor Details

### WebAuthnPlugin

public WebAuthnPlugin(@Nonnull Class<? extends IdPPlugin> claz) throws IOException, PluginException
Constructor.

Parameters:
  `claz` - type of plugin
Throws:
  `IOException` - if properties can't be loaded
  `PluginException` - if another error occurs

### WebAuthnPlugin

public WebAuthnPlugin() throws IOException, PluginException
Constructor.

Throws:
  `IOException` - if the properties fail to load
  `PluginException` - if other errors occur